# Class ResponsiveComponents

## Index

### Methods

- getMediumScreenWidth
- getResponsiveMode
- getSmallScreenWidth
- isLargeScreenWidth
- isMediumScreenWidth
- isSmallScreenWidth
- setMediumScreenWidth
- setSmallScreenWidth

## Methods

### getMediumScreenWidth

- getMediumScreenWidth(): number

- - Defined in ui/ResponsiveComponents/ResponsiveComponents.ts :88

  #### Returns number

### getResponsiveMode

- getResponsiveMode(): ValidResponsiveMode

- - Defined in ui/ResponsiveComponents/ResponsiveComponents.ts :104

  #### Returns ValidResponsiveMode

### getSmallScreenWidth

- getSmallScreenWidth(): number

- - Defined in ui/ResponsiveComponents/ResponsiveComponents.ts :69

  #### Returns number

### isLargeScreenWidth

- isLargeScreenWidth(): boolean

- - Defined in ui/ResponsiveComponents/ResponsiveComponents.ts :138

  #### Returns boolean

### isMediumScreenWidth

- isMediumScreenWidth(): boolean

- - Defined in ui/ResponsiveComponents/ResponsiveComponents.ts :124

  #### Returns boolean

### isSmallScreenWidth

- isSmallScreenWidth(): boolean

- - Defined in ui/ResponsiveComponents/ResponsiveComponents.ts :112

  #### Returns boolean

### setMediumScreenWidth

- setMediumScreenWidth(width: number): void

- - Defined in ui/ResponsiveComponents/ResponsiveComponents.ts :47

  #### Parameters

  - ##### width: number

  #### Returns void

### setSmallScreenWidth

- setSmallScreenWidth(width: number): void

- - Defined in ui/ResponsiveComponents/ResponsiveComponents.ts :31

  #### Parameters

  - ##### width: number

  #### Returns void

### Hierarchy

- ResponsiveComponents